Namespace
library
Image / Tag
golang:1.8.5-onbuild
Content Digest
sha256:3063d6a33c38471f35c39e3ec685ef4289d045afd74bfc0334048a82547851c7
Details
Created

2017-12-12 20:47:41 UTC

Size

253 MB

Content Digest
Environment
GOLANG_VERSION

1.8.5

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d99577c7ee3d4d82987bedaeb10f3244ff7e19e41c5259bb8cac00568d1c4271 - 19.86% (50.3 MB)

[#001] sha256:d94aafa6d6f35f82e1fdc93cd4f7f6ab829f6297c8defaaa911dfb2de063bf3d - 8.13% (20.6 MB)

[#002] sha256:ddd19391b0ebd36e15e21cb3a6728c5950937634b9c81ecc7e3d1422b1dc25eb - 16.53% (41.9 MB)

[#003] sha256:20aa86ab7120bd1e9ea8b837e4214900b372d92eb679954b43556c8ddd6bd726 - 22.82% (57.8 MB)

[#004] sha256:7e7866ce3855bb66240e3d06d1b63c3f45348ad04f18cfdb209c15ea0b1a6893 - 32.67% (82.8 MB)

[#005] sha256:c8b31f2567f45f80827e365015d6571f26dba3939a86ffd96eeaade1c89af56c - 0.0% (125 Bytes)

[#006] sha256:c58eb2d77f32e7398b67d8e030cf8a7f96e8b1454df007c4beb9099969d71153 - 0.0% (1.33 KB)

[#007] sha256:27a8680d955a3e4e5337218dd0aabc0c304644d8a93a8252c47feca5e96e1129 - 0.0% (137 Bytes)


History
2017-12-12 14:19:55 UTC

/bin/sh -c #(nop) ADD file:235a40e05b677eb2ae7e7a3cc5cbb0cda242ff15dddb87cb8dc9bb0cd2d6aed8 in /

2017-12-12 14:19:55 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-12-12 16:53:52 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-12-12 16:53:53 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-12-12 16:54:45 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-12-12 20:40:05 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-12-12 20:40:05 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.5

2017-12-12 20:40:27 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='4f8aeea2033a2d731f2f75c4d0a4995b357b22af56ed69b3015f4291fca4d42d' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='f5c58e7fd6cdfcc40b94c6655cf159b25836dffe13431f683b51705b8a67d608' ;; arm64) goRelArch='linux-arm64'; goRelSha256='6c552ae1e77c52944e0f9b9034761bd3dcc3fef57dad6d751a53638783b07d2c' ;; i386) goRelArch='linux-386'; goRelSha256='cf959b60b89acb588843ff985ecb47a7f6c37da6e4987739ab4aafad7211464f' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='1ee0874ce8c8625e14b4457a4861777be78f30067d914bcb264f7e0331d087de' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e978a56842297dc8924555540314ff09128e9a62da9881c3a26771ddd5d7ebc2' ;; *) goRelArch='src'; goRelSha256='4949fd1a5a4954eb54dd208f2f412e720e23f32c91203116bed0387cf5d0ff2d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-12-12 20:40:27 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-12-12 20:40:28 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-12-12 20:40:29 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-12-12 20:40:29 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-12-12 20:40:30 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

2017-12-12 20:47:40 UTC

/bin/sh -c mkdir -p /go/src/app

2017-12-12 20:47:40 UTC

/bin/sh -c #(nop) WORKDIR /go/src/app

2017-12-12 20:47:41 UTC

/bin/sh -c #(nop) CMD ["go-wrapper" "run"]

2017-12-12 20:47:41 UTC

/bin/sh -c #(nop) ONBUILD COPY . /go/src/app

2017-12-12 20:47:41 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper download

2017-12-12 20:47:41 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper install

Details
Created

2017-12-12 11:30:07 UTC

Size

262 MB

Content Digest
Environment
GOLANG_VERSION

1.8.5

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f49cf87b52c10aa83b4f4405800527a74400fb19ea1821d209293bc4d53966aa - 19.12% (50.2 MB)

[#001] sha256:7b491c575b06601bb07a2d88bfc3ace6c6005edc1b4d8da3ba6e37e04e9592d6 - 7.0% (18.4 MB)

[#002] sha256:b313b08bab3b8bbcf0de4171a2a80a01e67fab094f272819b76a58705d21ab28 - 15.72% (41.2 MB)

[#003] sha256:215a2061b8a4684d7d6f0cf053f771952894c68410baee0f07c2a4b86f03c981 - 22.14% (58.1 MB)

[#004] sha256:04fa9dcc5f7da8195e35f7a1a456f17530bd1068174a5645e8936bc3f2d27e9e - 36.02% (94.5 MB)

[#005] sha256:044102b3b4a1ba361d9c12b9164cea3161fc4c40bf66e3716bdc909ee5b6f455 - 0.0% (126 Bytes)

[#006] sha256:37e616f9e3fe86f2b08bc675e261a9c455379b871b5684e4ea2f9aed2f1fc8ac - 0.0% (1.33 KB)

[#007] sha256:90341339be8c20405857a50b7617f833741e97908ed411727627e85a509e588d - 0.0% (136 Bytes)


History
2017-12-12 01:41:12 UTC

/bin/sh -c #(nop) ADD file:1dd78a123212328bdc72ef7888024ea27fe141a72e24e0ea7c3c92b63b73d8d1 in /

2017-12-12 01:41:12 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-12-12 07:49:00 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-12-12 07:49:01 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-12-12 07:49:30 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-12-12 11:29:41 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-12-12 11:29:42 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.5

2017-12-12 11:29:50 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='4f8aeea2033a2d731f2f75c4d0a4995b357b22af56ed69b3015f4291fca4d42d' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='f5c58e7fd6cdfcc40b94c6655cf159b25836dffe13431f683b51705b8a67d608' ;; arm64) goRelArch='linux-arm64'; goRelSha256='6c552ae1e77c52944e0f9b9034761bd3dcc3fef57dad6d751a53638783b07d2c' ;; i386) goRelArch='linux-386'; goRelSha256='cf959b60b89acb588843ff985ecb47a7f6c37da6e4987739ab4aafad7211464f' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='1ee0874ce8c8625e14b4457a4861777be78f30067d914bcb264f7e0331d087de' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e978a56842297dc8924555540314ff09128e9a62da9881c3a26771ddd5d7ebc2' ;; *) goRelArch='src'; goRelSha256='4949fd1a5a4954eb54dd208f2f412e720e23f32c91203116bed0387cf5d0ff2d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-12-12 11:29:51 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-12-12 11:29:51 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-12-12 11:29:52 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-12-12 11:29:52 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-12-12 11:29:52 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

2017-12-12 11:30:06 UTC

/bin/sh -c mkdir -p /go/src/app

2017-12-12 11:30:06 UTC

/bin/sh -c #(nop) WORKDIR /go/src/app

2017-12-12 11:30:06 UTC

/bin/sh -c #(nop) CMD ["go-wrapper" "run"]

2017-12-12 11:30:07 UTC

/bin/sh -c #(nop) ONBUILD COPY . /go/src/app

2017-12-12 11:30:07 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper download

2017-12-12 11:30:07 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper install

Details
Created

2018-01-20 00:54:50 UTC

Size

225 MB

Content Digest
Environment
GOLANG_VERSION

1.8.5

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:95e140a16c792899abc97cadee0138064dd21346fe51aa332ca4cbbd5563383c - 20.6% (46.4 MB)

[#001] sha256:237499cbbf2c5155fadc128c997700f0c5ec6355ba9704d0ec3f81c29640c9c4 - 7.73% (17.4 MB)

[#002] sha256:72f718f16c2f9a8213b99fcb49e72dad0036d1426f09c089f1e389b684f26520 - 16.81% (37.9 MB)

[#003] sha256:86e1668293f83addf89265fa6451fd42285d408e35a7224d099d39165e2078e8 - 18.59% (41.9 MB)

[#004] sha256:629d3b79672df1a4dafc236e7d7a392ec1ba632c5656a9e2b7bbc351a753c607 - 36.26% (81.7 MB)

[#005] sha256:321871c0205a7da8ff16071c262eb8d5ba23a1c3d21bcb7eb62069949a52a96b - 0.0% (126 Bytes)

[#006] sha256:e899cb4c75e0e95e3e14f9662f23c9774cc050bb3619bf917965b7e75866c10a - 0.0% (1.34 KB)

[#007] sha256:40922a42c36a01cb81ef0d300bc7ec60b568a31c587e829ff83eff798fd31bc8 - 0.0% (135 Bytes)


History
2017-12-12 13:27:05 UTC

/bin/sh -c #(nop) ADD file:aeb57f3a84dc1b93e1d38a80409a407df553344149d5070ed79b656865c90c54 in /

2017-12-12 13:27:06 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-12-12 14:14:10 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-12-12 14:14:11 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-12-12 14:15:24 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-01-20 00:53:10 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-01-20 00:53:12 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.5

2018-01-20 00:54:25 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='4f8aeea2033a2d731f2f75c4d0a4995b357b22af56ed69b3015f4291fca4d42d' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='f5c58e7fd6cdfcc40b94c6655cf159b25836dffe13431f683b51705b8a67d608' ;; arm64) goRelArch='linux-arm64'; goRelSha256='6c552ae1e77c52944e0f9b9034761bd3dcc3fef57dad6d751a53638783b07d2c' ;; i386) goRelArch='linux-386'; goRelSha256='cf959b60b89acb588843ff985ecb47a7f6c37da6e4987739ab4aafad7211464f' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='1ee0874ce8c8625e14b4457a4861777be78f30067d914bcb264f7e0331d087de' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e978a56842297dc8924555540314ff09128e9a62da9881c3a26771ddd5d7ebc2' ;; *) goRelArch='src'; goRelSha256='4949fd1a5a4954eb54dd208f2f412e720e23f32c91203116bed0387cf5d0ff2d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-01-20 00:54:30 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-01-20 00:54:30 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-01-20 00:54:35 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-01-20 00:54:36 UTC

/bin/sh -c #(nop) WORKDIR /go

2018-01-20 00:54:37 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

2018-01-20 00:54:46 UTC

/bin/sh -c mkdir -p /go/src/app

2018-01-20 00:54:47 UTC

/bin/sh -c #(nop) WORKDIR /go/src/app

2018-01-20 00:54:47 UTC

/bin/sh -c #(nop) CMD ["go-wrapper" "run"]

2018-01-20 00:54:48 UTC

/bin/sh -c #(nop) ONBUILD COPY . /go/src/app

2018-01-20 00:54:49 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper download

2018-01-20 00:54:50 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper install

Details
Created

2017-12-16 00:01:14 UTC

Size

228 MB

Content Digest
Environment
GOLANG_VERSION

1.8.5

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:7e6d91e96b32c4999458c6c0cda42f920e41aab0cfbf3153f6e013b222bf084d - 20.91% (47.6 MB)

[#001] sha256:19f2d61ff35851bad52cd6e85a1aa2c7b986069f0e062b7199ea07bc705f60cc - 7.85% (17.9 MB)

[#002] sha256:0113d3a736bdb3c71bbdebc354892ca5b3e58753ed7a23231f8335c9ef0dc4a2 - 17.18% (39.1 MB)

[#003] sha256:9cec6ff402c065d24d4245cfa07d4453140ba10db6f6a7c21ea16d4fc5f100f1 - 18.53% (42.2 MB)

[#004] sha256:672d47a20de37f97e09fe9066682248c737531557488640603ce1e755cbbcb8d - 35.53% (80.9 MB)

[#005] sha256:ccde9885896a1a9856ff642910267c97fe41288cb0031083c8137a5a79a0284c - 0.0% (126 Bytes)

[#006] sha256:2d6a501712d1d2782f8f1f6f9476933a451ebf8758af97e598f6369a65fe897d - 0.0% (1.34 KB)

[#007] sha256:e69a955ae1bc7a637b49300d10366ca04413a8c302230847b1369ccad1e8240d - 0.0% (134 Bytes)


History
2017-12-12 18:24:58 UTC

/bin/sh -c #(nop) ADD file:f0da52be154f821919dcbfb92afd89714053ae507038126715c96ac77a6768e1 in /

2017-12-12 18:24:59 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-12-15 15:52:43 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-12-15 15:52:45 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-12-15 15:54:11 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-12-16 00:00:17 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-12-16 00:00:18 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.5

2017-12-16 00:00:37 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='4f8aeea2033a2d731f2f75c4d0a4995b357b22af56ed69b3015f4291fca4d42d' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='f5c58e7fd6cdfcc40b94c6655cf159b25836dffe13431f683b51705b8a67d608' ;; arm64) goRelArch='linux-arm64'; goRelSha256='6c552ae1e77c52944e0f9b9034761bd3dcc3fef57dad6d751a53638783b07d2c' ;; i386) goRelArch='linux-386'; goRelSha256='cf959b60b89acb588843ff985ecb47a7f6c37da6e4987739ab4aafad7211464f' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='1ee0874ce8c8625e14b4457a4861777be78f30067d914bcb264f7e0331d087de' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e978a56842297dc8924555540314ff09128e9a62da9881c3a26771ddd5d7ebc2' ;; *) goRelArch='src'; goRelSha256='4949fd1a5a4954eb54dd208f2f412e720e23f32c91203116bed0387cf5d0ff2d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-12-16 00:00:38 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-12-16 00:00:39 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-12-16 00:00:41 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-12-16 00:00:42 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-12-16 00:00:43 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

2017-12-16 00:01:10 UTC

/bin/sh -c mkdir -p /go/src/app

2017-12-16 00:01:11 UTC

/bin/sh -c #(nop) WORKDIR /go/src/app

2017-12-16 00:01:12 UTC

/bin/sh -c #(nop) CMD ["go-wrapper" "run"]

2017-12-16 00:01:12 UTC

/bin/sh -c #(nop) ONBUILD COPY . /go/src/app

2017-12-16 00:01:13 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper download

2017-12-16 00:01:14 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper install

Details
Created

2017-12-15 06:09:46 UTC

Size

235 MB

Content Digest
Environment
GOLANG_VERSION

1.8.5

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:75c28926027fc0404a0d21450475473243a59e8fc55443a62d1d744693ec19e9 - 20.99% (49.4 MB)

[#001] sha256:6994e7d2dd732e57cd3bac94b995dab8a2711f30cf738f70bd4730a512f403ca - 7.78% (18.3 MB)

[#002] sha256:fb98bd09f482269961d36e59c72c340d0f8f4ba6d9efc5f96665114b216aa443 - 17.32% (40.8 MB)

[#003] sha256:2062408a0216161680f2ea6cf7b091d160f08d84d9767eace0ab6589e48b98fa - 19.75% (46.5 MB)

[#004] sha256:640a19d578881267f2484a7c18fa47e32b36a99a01352497ae117898b3908076 - 34.16% (80.4 MB)

[#005] sha256:dd2b4b7141bb355567592cdb898f3009c06d9472773cd3c84a6ec09f4db0a977 - 0.0% (156 Bytes)

[#006] sha256:1a638a436f219e56d981d3447bb2cd1ec3529d95c2b38e5ea23ee38365de9689 - 0.0% (1.33 KB)

[#007] sha256:3aae749145eaeb6e6b69118add68fc1ef7151465172f3ba2cf95a740a2308d07 - 0.0% (167 Bytes)


History
2017-12-12 01:32:54 UTC

/bin/sh -c #(nop) ADD file:a66da0d75afce2da6174648a861b98f8e9999028d4f04a59288ca92a090256e2 in /

2017-12-12 01:32:56 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-12-12 02:52:01 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-12-12 02:52:05 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-12-12 02:55:05 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-12-15 06:08:44 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-12-15 06:08:45 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.5

2017-12-15 06:09:11 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='4f8aeea2033a2d731f2f75c4d0a4995b357b22af56ed69b3015f4291fca4d42d' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='f5c58e7fd6cdfcc40b94c6655cf159b25836dffe13431f683b51705b8a67d608' ;; arm64) goRelArch='linux-arm64'; goRelSha256='6c552ae1e77c52944e0f9b9034761bd3dcc3fef57dad6d751a53638783b07d2c' ;; i386) goRelArch='linux-386'; goRelSha256='cf959b60b89acb588843ff985ecb47a7f6c37da6e4987739ab4aafad7211464f' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='1ee0874ce8c8625e14b4457a4861777be78f30067d914bcb264f7e0331d087de' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e978a56842297dc8924555540314ff09128e9a62da9881c3a26771ddd5d7ebc2' ;; *) goRelArch='src'; goRelSha256='4949fd1a5a4954eb54dd208f2f412e720e23f32c91203116bed0387cf5d0ff2d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-12-15 06:09:13 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-12-15 06:09:15 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-12-15 06:09:17 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-12-15 06:09:19 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-12-15 06:09:21 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

2017-12-15 06:09:34 UTC

/bin/sh -c mkdir -p /go/src/app

2017-12-15 06:09:36 UTC

/bin/sh -c #(nop) WORKDIR /go/src/app

2017-12-15 06:09:37 UTC

/bin/sh -c #(nop) CMD ["go-wrapper" "run"]

2017-12-15 06:09:40 UTC

/bin/sh -c #(nop) ONBUILD COPY . /go/src/app

2017-12-15 06:09:41 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper download

2017-12-15 06:09:46 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper install

Details
Created

2017-12-12 09:45:03 UTC

Size

230 MB

Content Digest
Environment
GOLANG_VERSION

1.8.5

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:98cfcbfa76c6d2a42223dc7a44505bdd260000bffd3ecbb983cb33213128499b - 21.93% (50.3 MB)

[#001] sha256:e5a54c25ad661f258cad7c32f6c27f8a2ff7d463df9cbd8752d4ec4b8b2d8bfd - 8.09% (18.6 MB)

[#002] sha256:18e5f78145fbef3e222ea15ef8dd488c43ed84acd1a4cf20968bd87c6831b703 - 18.02% (41.4 MB)

[#003] sha256:7ecc56a2bb5da5a6f89bd108d0053fcec9aeceab40a82d0702a31afdfb69c920 - 17.47% (40.1 MB)

[#004] sha256:bc363a0d261b755e2c514974f495890f4612ff1f324405324eb8eeea2b001415 - 34.5% (79.2 MB)

[#005] sha256:5a25ac066d090328c6b31d6395cede5ba9502028714066e34fe1ba95f20f10d9 - 0.0% (125 Bytes)

[#006] sha256:1d2d2a33786143166e264f09a2afec0a797e448c8a198d41d934576d6fe085dc - 0.0% (1.34 KB)

[#007] sha256:2f6a0a916e3ab9b79bbe21147baf788058246b9f04fea4ddea6734cc59364914 - 0.0% (135 Bytes)


History
2017-12-12 06:22:40 UTC

/bin/sh -c #(nop) ADD file:f85dc45c68f6f29cc10d6ef236674dedc10522f11b6fa2e8a6b10a4409ca0bc7 in /

2017-12-12 06:22:40 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-12-12 06:53:37 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-12-12 06:53:37 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-12-12 06:54:10 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-12-12 09:44:29 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-12-12 09:44:29 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.5

2017-12-12 09:44:45 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='4f8aeea2033a2d731f2f75c4d0a4995b357b22af56ed69b3015f4291fca4d42d' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='f5c58e7fd6cdfcc40b94c6655cf159b25836dffe13431f683b51705b8a67d608' ;; arm64) goRelArch='linux-arm64'; goRelSha256='6c552ae1e77c52944e0f9b9034761bd3dcc3fef57dad6d751a53638783b07d2c' ;; i386) goRelArch='linux-386'; goRelSha256='cf959b60b89acb588843ff985ecb47a7f6c37da6e4987739ab4aafad7211464f' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='1ee0874ce8c8625e14b4457a4861777be78f30067d914bcb264f7e0331d087de' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e978a56842297dc8924555540314ff09128e9a62da9881c3a26771ddd5d7ebc2' ;; *) goRelArch='src'; goRelSha256='4949fd1a5a4954eb54dd208f2f412e720e23f32c91203116bed0387cf5d0ff2d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-12-12 09:44:45 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-12-12 09:44:45 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-12-12 09:44:46 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-12-12 09:44:46 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-12-12 09:44:46 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

2017-12-12 09:45:02 UTC

/bin/sh -c mkdir -p /go/src/app

2017-12-12 09:45:02 UTC

/bin/sh -c #(nop) WORKDIR /go/src/app

2017-12-12 09:45:02 UTC

/bin/sh -c #(nop) CMD ["go-wrapper" "run"]

2017-12-12 09:45:03 UTC

/bin/sh -c #(nop) ONBUILD COPY . /go/src/app

2017-12-12 09:45:03 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper download

2017-12-12 09:45:03 UTC

/bin/sh -c #(nop) ONBUILD RUN go-wrapper install